org.apache.struts2.el.parser

## Class AstLessThanEqual

- java.lang.Object
- - org.apache.struts2.el.lang.ELSupport
  - - org.apache.struts2.el.parser.SimpleNode
    - - org.apache.struts2.el.parser.BooleanNode
      - - org.apache.struts2.el.parser.AstLessThanEqual

- All Implemented Interfaces:
    Node

      public final class AstLessThanEqual
      extends BooleanNode

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.el.parser.SimpleNode

      `children, id, image, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstLessThanEqual(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue(EvaluationContext ctx)`

    - ### Methods inherited from class org.apache.struts2.el.parser.BooleanNode

      `getType`

    - ### Methods inherited from class org.apache.struts2.el.parser.SimpleNode

      `accept, dump, getImage, getMethodInfo, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

    - ### Methods inherited from class org.apache.struts2.el.lang.ELSupport

      `checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstLessThanEqual

          public AstLessThanEqual(int id)

  - ### Method Detail

    - #### getValue

          public Object getValue(EvaluationContext ctx)
                          throws javax.el.ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.